* {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

body {
	background: #F3F5FC;
	font-family: 'Inter', sans-serif;
}

.contenedor {
	width: 90%;
	max-width: 1000px;
	margin: 20px auto;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
}

header {
	width: 100%;
	padding: 20px 0;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	vertical-align: top;
}

.main {
	margin: 10px 0;
	padding: 20px;
	width: 70%;
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;

}

.main .mensaje {
	margin-left: 15%;
	margin-bottom: 10px;
	width: 85%;	
}

.main .mensaje textarea {
	width: 100%;
	height: 400px;
	min-width: 100%;
	max-width: 100%;
	min-height: 400px;
	max-height: 400px;
	border: none;
	background: #F3F5FC;
	font-size: 20px;
	outline: none;
	color: #0A3871;
	text-align: justify;
}

.main .mensaje textarea::placeholder {color: #0A3871;}

.main .anuncio {
	width: 85%;	
	margin-left: 15%;
	margin-bottom: 5px;
   }

.main .anuncio p {
	font-size: 12px;
   	color: #0A3871;
   }

  .main .botones {
  	width: 85%;
  	margin-left: 15%;
  	display: flex;
  	flex-direction: row;
  	flex-wrap: wrap;
  	justify-content:center;
  }

  .main .botones .btn {
  	width: 40%;
  	padding: 10px;
  	margin: 0 20px;
  	border-radius: 10px;
  	border: 2px solid #0A3871; 
  	font-size: 14px;
  }

  .main .botones .encrip {
  	background: #0A3871;
	color: #FFFFFF;
  }

  .main .botones .encrip:hover {
  	background: green ;
	transition: .5s;
	cursor: pointer;
  }

  .main .botones .desencrip {
  	background: #D8DFE8;
  	color: #0A3871;
  }

  .main .botones .desencrip:hover {
  	background: green ;
	transition: .5s;
	cursor: pointer;
	color: white;
  }

  aside {position: relative;
  	margin: 10px 0;
  	width: 30%;
  	background: #fff;
  	border-radius: 20px;
  	box-shadow: 1px 1px 5px 0px #000;
  	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	justify-content: center;
  }

   aside .logo-busqueda {  	
   }

   aside .logo-busqueda img {

   	width: 100%;
   	padding: 0 10px;
   	vertical-align: top;
   }

   aside .anuncio {
   	width: 80%;
   	margin: 0 auto;
   	padding-bottom: 5px;
   }

   aside .anuncio p{
   	text-align: center;
   	font-size: 20px;
   	font-weight: bold;
   	color: #0A3871;
   }

   aside .mensaje2 {
	width: 90%;
	margin: 0 5%;
	margin-bottom: 10px;	
}

aside .mensaje2 textarea { 
	width: 100%; 
	height: 150px;
	min-width: 100%;
	max-width: 100%;
	min-height: 100px;
	max-height: 100px;
	border: none;
	background: #fff;
	font-size: 16px;
	outline: none;
	color: #0A3871;
	text-align: justify;
}

aside .mensaje2 textarea::placeholder {color: #0A3871;}

aside .boton-copy {
	position: absolute;
	bottom: 4%;
	width: 100%;
	display: flex;
	justify-content: center;
	visibility: hidden;
}

aside .boton-copy .copy{
	background: #FFFFFF;
	width: 70%;
	padding: 10px;
	margin-top: 15px;
	border-radius: 10px;
  	border: 2px solid #0A3871; 
  	font-size: 14px;
}

aside .boton-copy .copy:hover {
	background: green ;
	transition: .5s;
	cursor: pointer;
	color: white;
}

footer {
	width: 100%;
	background:#0A3871;
	margin: 10px 0;
	padding: 10px;
	border-radius: 15px;
}

footer p {text-align: center;
font-size: 14px;
color: #fff;
}

@media screen and (max-width: 810px) {
	.main {
		width: 100%;
	}
	
	aside {
		width: 100%;
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
	}
	
	aside .logo-busqueda img {
		display: none;
	}

	aside .anuncio {
   	padding-top: 30px;
   }

   aside .mensaje2 textarea::placeholder {
   	padding-top: 0;
   	color: #0A3871;
   	text-align: center;}
}

@media screen and (max-width: 567px){
	
	.main .mensaje textarea{
	font-size: 30px;
	}

	.main .anuncio{width: 100%;
	margin-left: 0;}

	.main .anuncio p {font-size: 18px;}

	.main .botones{width: 100%;
		margin-left: 0;
		padding-top: 5px;
	}

	.main .botones .btn{width: 100%;
		height: 50%;
		margin-bottom: 10px;
		font-size: 20px;}

	aside .anuncio p{font-size: 30px;}

	aside .mensaje2 textarea {font-size: 24px;}

	aside .mensaje2 textarea::placeholder {
   	font-size: 20px;}
 	
 	aside .boton-copy .copy{width: 90%;
 		font-size: 20px;}

}





